#! /bin/sh

umask 022

clear

echo " TechSat Team"

echo " Contacting server. Please wait..."
echo ""

wget http://techsat.info/Maker/DreamBox/SoftCam.Key -O /tmp/SoftCam.Key 2>/dev/null
wget http://techsat.info/Maker/DreamBox/constant.cw -O /tmp/constant.cw 2>/dev/null

if [ -s /tmp/SoftCam.Key -a -s /tmp/constant.cw ]; then
   echo " Softam files downloaded succesfully! Installing..."
   echo ""
   mv -f /tmp/SoftCam.Key /var/keys/SoftCam.Key
   mv -f /tmp/constant.cw /var/keys/constant.cw
else
   echo " Download failed! Try again."
   exit 1
fi

echo " Softcam files installed succesfully! Enjoy!"
echo ""
echo " Powered by TechSat Team - http://techsat.info/"
echo ""

exit 0

